Subject: RE: virtual hosting

From: [email-masked]
Date: Mon, 1 Sep 2003 15:56:06 +0100

> -----Original Message-----
> From: Boocock, John (Academy) [mailto:[email-masked]]
> Sent: 22 August 2003 14:04
> To: [email-masked]'
> Subject: RE: virtual hosting
> 
> 
> Although I'm sure that most people get quite bored and 
> frustrated about
> questions on virtual hosting that have appeared countless times in the
> archives I don't think I've ever noticed what I was wondering being
> answered.
> 
> If you had a wildcard certificate which worked for 
> *.domain.com, would name
> virtual hosting be possible then assuming that all your 
> virtual hosts were
> things like "secure.domain.com" and "basket.domain.com" as 
> they are actually
> all using the same wildcard certificate for the SSL handshake.
> 
> If anyone could answer that, it would be great and 
> potentially save some
> messing when it comes to IP addresses.
> 
> Cheers
> 
> JB
> 
I'd have thought you'd have found an answer from me in the archives (or
perhaps in the openssl archives).

Yes, you can use wildcard certificates. It is possible to use them on the
same IP address and port and it works (this is from memory of what those who
use this method have written).

However:

1. CAs have got wise to wildcard certificates and charge a couple of limbs
for the privilege of using them.
2. There's no guarantee that IE will support it and Microsoft may well break
support for it again.

If you are doing this on a "private" network, probably neither of the above
will affect you.

- 
John Airey, BSc (Jt Hons), CNA, RHCE
Internet systems support officer, ITCSD, Royal National Institute of the
Blind,
Bakewell Road, Peterborough PE2 6XU,
Tel.: +44 (0) 1733 375299 Fax: +44 (0) 1733 370848 [email-masked] 

The trouble with postmodernism isn't just that no-one actually believes in
it, but no-one can believe in it.

- 

NOTICE: The information contained in this email and any attachments is 
confidential and may be legally privileged. If you are not the 
intended recipient you are hereby notified that you must not use, 
disclose, distribute, copy, print or rely on this email's content. If 
you are not the intended recipient, please notify the sender 
immediately and then delete the email and any attachments from your 
system.

RNIB has made strenuous efforts to ensure that emails and any 
attachments generated by its staff are free from viruses. However, it 
cannot accept any responsibility for any viruses which are 
transmitted. We therefore recommend you scan all attachments.

Please note that the statements and views expressed in this email 
and any attachments are those of the author and do not necessarily 
represent those of RNIB.

RNIB Registered Charity Number: 226227

Website: http://www.rnib.org.uk 
______________________________________________________________________
Apache Interface to OpenSSL (mod_ssl)                   www.modssl.org
User Support Mailing List                      [email-masked]
Automated List Manager                            [email-masked]